package cn.timer.api.bean.clazz;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
* @author Tang 2019-11-15
*/
@Entity
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName("nation_class")
@ApiModel("民族")
public class NationClass extends Model<NationClass> {
	@Id
    @GeneratedValue
    @TableId (type = IdType.AUTO)
	@ApiModelProperty(value="编号",example="1")
    private Integer id;
    
	@ApiModelProperty(value="民族名称 ",example="民族名称")
    private String name;
    
	@ApiModelProperty(value="拼音",example="pinyin")
    private String pinyin;
	
	@ApiModelProperty(value="简写",example="PY")
    private String letter;
	
	@ApiModelProperty(value="这个才是排序",example="number")
    private Integer number;
	
	@ApiModelProperty(value="排序",example="排序")
    private String sort;
}
