package cn.timer.api.bean.zpgl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;



/**
 * 招聘管理测评题库表
 * 
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2022-03-08 15:14:40
 */
@Entity
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "zpgl_cptk")
@Data
public class ZpglCptk extends Model<ZpglCptk> {
	private static final long serialVersionUID = 1L;

	/**
	 * 主键ID
	 */
	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号")
	private Integer id;
	/**
	* 题目
	*/
	@ApiModelProperty(value = "题目")
	private String question;
	/**
	* 选项
	*/
	@ApiModelProperty(value = "选项")
	private String answerA;
	/**
	* 选项
	*/
	@ApiModelProperty(value = "选项")
	private String answerB;
	/**
	* 选项
	*/
	@ApiModelProperty(value = "选项")
	private String answerC;
	/**
	* 选项
	*/
	@ApiModelProperty(value = "选项")
	private String answerD;
	/**
	 * 排序：从小到大
	 */
	@ApiModelProperty(value = "排序：从小到大")
	private Integer sort;
	/**
	* 用户ID
	*/
	@ApiModelProperty(value = "用户ID")
	private Integer userId;
	/**
	* 用户姓名
	*/
	@ApiModelProperty(value = "用户姓名")
	private String userName;
	/**
	* 创建时间
	*/
	@ApiModelProperty(value = "创建时间")
	private Date createTime;

}
