package cn.timer.api.bean.zpgl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;



/**
 * 招聘管理淘汰原因字典表
 * 
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2022-03-08 15:14:40
 */
@Entity
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "zpgl_fail")
@Data
public class ZpglFail extends Model<ZpglFail> {
	private static final long serialVersionUID = 1L;
	/**
	 * 主键ID
	 */
	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号")
	private Integer id;
	/**
	* 状态 1:待初筛 2:初筛通过 3:已安排面试 4:已面试 5:面试通过 6:拟录用 7:已发Offer 8:待入职 9已淘汰 10已入职
	*/
	@ApiModelProperty(value = "状态 1:待初筛 2:初筛通过 3:已安排面试 4:已面试 5:面试通过 6:拟录用 7:已发Offer 8:待入职 9已淘汰 10已入职")
	private Integer zpglRcxxStatus;
	/**
	* 淘汰原因
	*/
	@ApiModelProperty(value = "淘汰原因")
	private String failCause;
	/**
	* 逻辑删除标记0.未删除 1.删除
	*/
	@ApiModelProperty(value = "逻辑删除标记0.未删除 1.删除")
	private Integer deleteFlag;
	/**
	* 创建者
	*/
	@ApiModelProperty(value = "创建者")
	private Integer createUserId;
	/**
	* 更新者
	*/
	@ApiModelProperty(value = "更新者")
	private Integer updateUserId;
	/**
	* 组织机构代码
	*/
	@ApiModelProperty(value = "组织机构代码")
	private Integer orgCode;
	/**
	* 创建时间
	*/
	@ApiModelProperty(value = "创建时间")
	private Date createTime;
	/**
	* 更新时间
	*/
	@ApiModelProperty(value = "更新时间")
	private Date updateTime;


}
