package cn.timer.api.bean.zpgl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;



/**
 * 招聘管理面试流程记录表
 * 
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2022-03-08 15:14:40
 */
@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "zpgl_mslc_log")
@ApiModel("资源目录表")
public class ZpglMslcLog extends Model<ZpglMslcLog> {
	private static final long serialVersionUID = 1L;
	/**
	 * 主键ID
	 */
	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号")
	private Integer id;
	/**
	 * 人才信息ID
	 */
	@ApiModelProperty(value = "人才信息ID")
	private Integer zpglRcxxId;

	/**
	 * 类型,1状态变更,2面试,3Offer,4讨论,5其他
	 */
	@ApiModelProperty(value = "类型,1状态变更,2面试,3Offer,4讨论,5其他")
	private Integer zpglRcxxStatus;
	/**
	* 详细内容
	*/
	@ApiModelProperty(value = "详细内容")
	private String detail;
	/**
	* 用户ID
	*/
	@ApiModelProperty(value = "用户ID")
	private Integer userId;
	/**
	* 用户姓名
	*/
	@ApiModelProperty(value = "用户姓名")
	private String userName;
	/**
	* 创建时间
	*/
	@ApiModelProperty(value = "创建时间")
	private Date createTime;

}
