package cn.timer.api.bean.zpgl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;



/**
 * 简历证书
 * 
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2022-03-08 15:14:40
 */
@Entity
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "zpgl_rcxx_certificate")
@Data
public class ZpglRcxxCertificate extends Model<ZpglRcxxCertificate> {
	private static final long serialVersionUID = 1L;
	/**
	 * 主键ID
	 */
	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号")
	private Integer id;
	/**
	* 人才信息ID
	*/
	@ApiModelProperty(value = "人才信息ID")
	private Integer zpglRcxxId;
	/**
	* 获得时间
	*/
	@ApiModelProperty(value = "获得时间")
	private Date getTime;
	/**
	* 证书名称
	*/
	@ApiModelProperty(value = "证书名称")
	private String certificateName;
	/**
	* 证书图片
	*/
	@ApiModelProperty(value = "证书图片")
	private String image;
	/**
	* 
	*/
	@ApiModelProperty(value = "")
	private Integer isDelete;
	/**
	* 创建时间
	*/
	@ApiModelProperty(value = "创建时间")
	private Date createTime;
	/**
	* 更新时间
	*/
	@ApiModelProperty(value = "更新时间")
	private Date updateTime;

}
