package cn.timer.api.bean.zpgl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;



/**
 * 工作经验
 * 
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2022-03-08 15:14:40
 */
@Entity
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "zpgl_rcxx_experience")
@Data
public class ZpglRcxxExperience extends Model<ZpglRcxxExperience> {
	private static final long serialVersionUID = 1L;
	/**
	 * 主键ID
	 */
	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号")
	private Integer id;
	/**
	* 人才信息ID
	*/
	@ApiModelProperty(value = "人才信息ID")
	private Integer zpglRcxxId;
	/**
	* 公司名称
	*/
	@ApiModelProperty(value = "公司名称")
	private String company;
	/**
	* 入职时间
	*/
	@ApiModelProperty(value = "入职时间")
	private Date startTime;
	/**
	* 离职时间 0000-00-00 00:00:00为至今
	*/
	@ApiModelProperty(value = "离职时间 0000-00-00 00:00:00为至今")
	private Date endTime;
	/**
	* 职位名称
	*/
	@ApiModelProperty(value = "职位名称")
	private String jobName;
	/**
	* 所在部门
	*/
	@ApiModelProperty(value = "所在部门")
	private String department;
	/**
	* 薪水（单位元/月）
	*/
	@ApiModelProperty(value = "薪水（单位元/月）")
	private Integer salary;
	/**
	* 工作内容
	*/
	@ApiModelProperty(value = "工作内容")
	private String workContent;
	/**
	* 离职原因
	*/
	@ApiModelProperty(value = "离职原因")
	private String reason;
	/**
	* 联系人姓名
	*/
	@ApiModelProperty(value = "联系人姓名")
	private String linkName;
	/**
	* 联系人手机
	*/
	@ApiModelProperty(value = "联系人手机")
	private String linkMobile;
	/**
	* 
	*/
	@ApiModelProperty(value = "")
	private Integer isDelete;
	/**
	* 创建时间
	*/
	@ApiModelProperty(value = "创建时间")
	private Date createTime;
	/**
	* 更新时间
	*/
	@ApiModelProperty(value = "更新时间")
	private Date updateTime;

}
