package cn.timer.api.bean.zpgl;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.*;
import java.util.Date;


/**
 * Offer发送记录表
 * 
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2022-04-14 10:14:40
 */
@Entity
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "zpgl_rcxx_offer")
@Data
public class ZpglRcxxOffer extends Model<ZpglRcxxOffer> {
	private static final long serialVersionUID = 1L;
	/**
	 * 主键ID
	 */
	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号")
	private Integer id;
	/**
	* 人才信息ID
	*/
	@ApiModelProperty(value = "人才信息ID")
	private Integer zpglRcxxId;
	/**
	* 邮件标题
	*/
	@ApiModelProperty(value = "邮件标题")
	private String title;

	/**
	 * 部门
	 */
	@ApiModelProperty(value = "部门")
	private String bumen;

	/**
	 * 岗位
	 */
	@ApiModelProperty(value = "岗位")
	private String gangwei;

	/**
	 * 姓名
	 */
	@ApiModelProperty(value = "姓名")
	private String rcxxName;

	/**
	 * 企业名称
	 */
	@ApiModelProperty(value = "企业名称")
	private String companyName;

	/**
	 * 联系人
	 */
	@ApiModelProperty(value = "联系人")
	private String linkName;

	/**
	 * 联系人电话
	 */
	@ApiModelProperty(value = "联系人电话")
	private String linkPhone;

	/**
	 * 联系人邮箱
	 */
	@ApiModelProperty(value = "联系人邮箱")
	private String linkEmail;

	/**
	* 入职日期
	*/
	@DateTimeFormat(pattern = "yyyy-MM-dd")
	@JSONField(format = "yyyy-MM-dd")
	@ApiModelProperty(value = "入职日期")
	private Date rzTime;
	/**
	* 组织机构代码
	*/
	@ApiModelProperty(value = "组织机构代码")
	private Integer orgCode;
	/**
	 * 逻辑删除标记0.未删除 1.删除
	 */
	@ApiModelProperty(value = "逻辑删除标记0.未删除 1.删除")
	private String deleteFlag;
	/**
	* 创建时间
	*/
	@ApiModelProperty(value = "创建时间")
	private Date createTime;
	/**
	 * 更新时间
	 */
	@ApiModelProperty(value = "更新时间")
	private Date updateTime;

	/**
	 * 收件人邮箱
	 */
	@Transient
	@TableField(exist = false)
	@ApiModelProperty(value = "收件人邮箱")
	private String receiverEmail;

	/**
	 * 发件人邮箱
	 */
	@Transient
	@TableField(exist = false)
	@ApiModelProperty(value = "发件人邮箱")
	private String senderEmail;

}
