package cn.timer.api.bean.zpgl;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;


/**
 * 项目信息表
 * 
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2022-04-1 10:14:40
 */
@Entity
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "zpgl_rcxx_project")
@Data
public class ZpglRcxxProject extends Model<ZpglRcxxProject> {
	private static final long serialVersionUID = 1L;
	/**
	 * 主键ID
	 */
	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号")
	private Integer id;
	/**
	* 人才信息ID
	*/
	@ApiModelProperty(value = "人才信息ID")
	private Integer zpglRcxxId;
	/**
	* 开始时间
	*/
	@DateTimeFormat(pattern = "yyyy-MM-dd")
	@JSONField(format = "yyyy-MM-dd")
	@ApiModelProperty(value = "开始时间")
	private Date startTime;
	/**
	* 结束时间
	*/
	@DateTimeFormat(pattern = "yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
	@ApiModelProperty(value = "结束时间")
	private Date endTime;
	/**
	* 项目名称
	*/
	@ApiModelProperty(value = "项目名称")
	private String projectName;
	/**
	* 项目角色：职位名称/职位名
	*/
	@ApiModelProperty(value = "项目角色：职位名称/职位名")
	private String job;
	/**
	* 工作描述：项目详情介绍
	*/
	@ApiModelProperty(value = "工作描述：项目详情介绍")
	private String projectDescribe;
	/**
	 * 个人在该项目负责的具体工作详情
	 */
	@ApiModelProperty(value = "个人在该项目负责的具体工作详情")
	private String duty;
	/**
	 * 项目地点城市或区域
	 */
	@ApiModelProperty(value = "项目地点城市或区域")
	private String location;
	/**
	* 创建时间
	*/
	@ApiModelProperty(value = "创建时间")
	private Date createTime;
	/**
	 * 逻辑删除标记0.未删除 1.删除
	 */
	@ApiModelProperty(value = "逻辑删除标记0.未删除 1.删除")
	private Integer deleteFlag;

}
