package cn.timer.api.bean.zpgl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;



/**
 * 教育经历
 * 
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2022-03-08 15:14:40
 */
@Entity
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "zpgl_rcxx_study")
@Data
public class ZpglRcxxStudy extends Model<ZpglRcxxStudy> {
	private static final long serialVersionUID = 1L;
	/**
	 * 主键ID
	 */
	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号")
	private Integer id;
	/**
	* 人才信息ID
	*/
	@ApiModelProperty(value = "人才信息ID")
	private Integer zpglRcxxId;
	/**
	* 开始时间
	*/
	@ApiModelProperty(value = "开始时间")
	private Date startTime;
	/**
	* 结束时间
	*/
	@ApiModelProperty(value = "结束时间")
	private Date endTime;
	/**
	* 学校名称
	*/
	@ApiModelProperty(value = "学校名称")
	private String schoolName;
	/**
	* 学历 1:小学;2:初中;3:高中;4:中专;5:大专;6:本科;7:研究生;8:硕士;9:博士
	*/
	@ApiModelProperty(value = "学历 1:小学;2:初中;3:高中;4:中专;5:大专;6:本科;7:研究生;8:硕士;9:博士")
	private Integer education;
	/**
	* 专业名称
	*/
	@ApiModelProperty(value = "专业名称")
	private String subject;
	/**
	* 
	*/
	@ApiModelProperty(value = "")
	private Integer isDelete;
	/**
	* 创建时间
	*/
	@ApiModelProperty(value = "创建时间")
	private Date createTime;
	/**
	* 更新时间
	*/
	@ApiModelProperty(value = "更新时间")
	private Date updateTime;


}
