package cn.timer.api.bean.zpgl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * 招聘管理职位信息表
 * 
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2022-03-21 15:14:40
 */
@Entity
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "zpgl_wxgzpt_emp_rcxx")
@Data
public class ZpglWxgzptEmpRcxx extends Model<ZpglWxgzptEmpRcxx> {
	private static final long serialVersionUID = 1L;
	/**
	 * 主键ID
	 */
	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号")
	private Integer id;
	/**
	* 人才信息ID
	*/
	@ApiModelProperty(value = "人才信息ID")
	private Integer zpglRcxxId;
	/**
	* 员工档案表ID
	*/
	@ApiModelProperty(value = "员工档案表ID")
	private Integer ygglMainEmpId;
	/**
	 * 手机号
	 */
	@ApiModelProperty(value = "手机号")
	private String mobile;
	/**
	* 微信openid
	*/
	@ApiModelProperty(value = "微信openid")
	private String openid;
	/**
	* 微信unionid
	*/
	@ApiModelProperty(value = "微信unionid")
	private String unionid;
	/**
	* 组织机构代码
	*/
	@ApiModelProperty(value = "组织机构代码")
	private Integer orgCode;
	/**
	 * 逻辑删除标记0.未删除 1.删除
	 */
	@ApiModelProperty(value = "逻辑删除标记0.未删除 1.删除")
	private Integer deleteFlag;
	/**
	 * 创建时间
	 */
	@ApiModelProperty(value = "创建时间")
	private Date createTime;
	/**
	 * 更新时间
	 */
	@ApiModelProperty(value = "更新时间")
	private Date updateTime;

}
