package cn.timer.api.bean.zpgl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;


/**
 * 招聘管理招聘渠道字典表
 * 
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2022-03-28 15:14:40
 */
@Entity
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "zpgl_zpqd")
@Data
public class ZpglZpqd extends Model<ZpglZpqd> {
	private static final long serialVersionUID = 1L;
	/**
	 * 主键ID
	 */
	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号")
	private Integer id;

	/**
	 * 工作地点
	 */
	@ApiModelProperty(value = "工作地点")
	private String zpqdName;
	/**
	 * 逻辑删除标记0.未删除 1.删除
	 */
	@ApiModelProperty(value = "逻辑删除标记0.未删除 1.删除")
	private Integer deleteFlag;
	/**
	 * 创建者
	 */
	@ApiModelProperty(value = "创建者")
	private Integer createUserId;
	/**
	 * 更新者
	 */
	@ApiModelProperty(value = "更新者")
	private Integer updateUserId;
	/**
	 * 组织机构代码
	 */
	@ApiModelProperty(value = "组织机构代码")
	private Integer orgCode;
	/**
	 * 创建时间
	 */
	@ApiModelProperty(value = "创建时间")
	private Date createTime;
	/**
	 * 更新时间
	 */
	@ApiModelProperty(value = "更新时间")
	private Date updateTime;
}
