package cn.timer.api.bean.zpgl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.util.Date;

/**
 * 招聘管理职位信息表
 * 
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2022-03-08 15:14:40
 */
@Entity
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "zpgl_zwxx")
@Data
public class ZpglZwxx extends Model<ZpglZwxx> {
	private static final long serialVersionUID = 1L;
	/**
	 * 主键ID
	 */
	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号")
	private Integer id;
	/**
	* 职位名称
	*/
	@ApiModelProperty(value = "职位名称")
	private String name;
	/**
	* 部门id
	*/
	@ApiModelProperty(value = "部门id")
	private Integer deptId;
	/**
	 * 职位类型ID
	 */
	@ApiModelProperty(value = "职位类型ID")
	private Integer jobClassId;
	/**
	* 工作性质 1:全职 2:兼职 3:实习 4:退休返聘 5:劳务外派 6:劳务外包
	*/
	@ApiModelProperty(value = "工作性质 1:全职 2:兼职 3:实习 4:退休返聘 5:劳务外派 6:劳务外包")
	private Integer workType;

	/**
	 * 对应合工作地点字典ID
	 */
	@ApiModelProperty(value = "对应合工作地点字典ID")
	private Integer zpglGzddId;
	/**
	* 招聘人数
	*/
	@ApiModelProperty(value = "招聘人数")
	private Integer num;
	/**
	* 已入职人数
	*/
	@ApiModelProperty(value = "已入职人数")
	private Integer entryNum;
	/**
	* 招聘原因
	*/
	@ApiModelProperty(value = "招聘原因")
	private String reason;
	/**
	* 工作经验要求:1:1年一下 2:1-3年 3:3-5年 4:5-10年 5:10年以上
	*/
	@ApiModelProperty(value = "工作经验要求:1:1年一下 2:1-3年 3:3-5年 4:5-10年 5:10年以上")
	private Integer experience;
	/**
	* 学历要求 1:小学;2:初中;3:高中;4:中专;5:大专;6:本科;7:研究生;8:硕士;9:博士
	*/
	@ApiModelProperty(value = "学历要求 1:小学;2:初中;3:高中;4:中专;5:大专;6:本科;7:研究生;8:硕士;9:博士")
	private Integer education;
	/**
	* 薪资范围
	*/
	@ApiModelProperty(value = "薪资范围")
	private Integer salaryMin;
	/**
	* 薪资范围
	*/
	@ApiModelProperty(value = "薪资范围")
	private Integer salaryMax;
	/**
	* 最迟到岗时间
	*/
	@ApiModelProperty(value = "最迟到岗时间")
	private Date registerTime;
	/**
	* 启动时间
	*/
	@ApiModelProperty(value = "启动时间")
	private Date startTime;
	/**
	 * 截止时间
	 */
	@ApiModelProperty(value = "截止时间")
	private Date endTime;
	/**
	* 描述
	*/
	@ApiModelProperty(value = "描述")
	private String description;
	/**
	* 紧急程度状态 1:一般 2:紧急
	*/
	@ApiModelProperty(value = "紧急程度状态 1:一般 2:紧急")
	private Integer urgentStatus;
	/**
	* 状态 1:招聘中 2:停止招聘
	*/
	@ApiModelProperty(value = "状态 1:招聘中 2:停止招聘")
	private Integer status;
	/**
	* 组织机构代码
	*/
	@ApiModelProperty(value = "组织机构代码")
	private String orgCode;
	/**
	 * 逻辑删除标记0.未删除 1.删除
	 */
	@ApiModelProperty(value = "逻辑删除标记0.未删除 1.删除")
	private Integer deleteFlag;
	/**
	 * 用户ID
	 */
	@ApiModelProperty(value = "用户ID")
	private Integer userId;
	/**
	 * 用户姓名
	 */
	@ApiModelProperty(value = "用户姓名")
	private String userName;
	/**
	 * 创建时间
	 */
	@ApiModelProperty(value = "创建时间")
	private Date createTime;
	/**
	 * 更新时间
	 */
	@ApiModelProperty(value = "更新时间")
	private Date updateTime;
	/**
	 * 省名
	 */
	@Transient
	@TableField(exist = false)
	@ApiModelProperty(value = "省名")
	private String province;
	/**
	 * 区名
	 */
	@Transient
	@TableField(exist = false)
	@ApiModelProperty(value = "区名")
	private String district;
	/**
	 * 城市
	 */
	@Transient
	@TableField(exist = false)
	@ApiModelProperty(value = "城市")
	private String city;

	/**
	 * 工作地点
	 */
	@Transient
	@TableField(exist = false)
	@ApiModelProperty(value = "工作地点")
	private String gzddName;

}
