package cn.timer.api.bean.zzgl;

import java.util.Date;

import javax.persistence.*;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author Tang 2019-11-17
 */
@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "zzgl_log_dgjl")
@ApiModel("调岗记录")
public class ZzglLogDgjl extends Model<ZzglLogDgjl> {

	/**
	 * @date 2019年12月9日
	 * @author 翁东州
	 * @方法中文名称:
	 */
	private static final long serialVersionUID = 3008356172136696134L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号 编号", example = "101")
	private Integer id;

	@ApiModelProperty(value = "组织机构代码 组织机构代码", example = "101")
	private Integer orgCode;

	@ApiModelProperty(value = "员工工号 员工工号", example = "101")
	private Integer empNum;

	@ApiModelProperty(value = "原部门id 原部门id", example = "101")
	private Integer obmgwId;

	@ApiModelProperty(value = "现部门id 现部门id", example = "101")
	private Integer nbmgwId;

	@ApiModelProperty(value = "操作人id 操作人id", example = "101")
	private Integer updateId;

	@ApiModelProperty(value = "记录时间 ", example = "记录时间")
	private Date createTime;

	@ApiModelProperty(value = "类型 ", example = "1 转正 2调岗 3离职 4岗位删除员工 5 岗位添加员工")
	private Integer type;

	@ApiModelProperty(value = "备注 ", example = "备注")
	private String comment;

	@Transient
	private String obmgwName;
	@Transient
	private String nbmgwName;
}
