package cn.timer.api.controller.zpgl;

import cn.timer.api.bean.zpgl.ZpglCptk;
import cn.timer.api.bean.zpgl.ZpglDtk;
import cn.timer.api.utils.Result;
import cn.timer.api.utils.ResultUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author longys
 * @date 2022/4/14 15:48
 */
@Api(tags = "性格颜色测评")
@RestController
@RequestMapping(value = "/evaluation")
public class ZpglEvaluationController {

    @ApiOperation(value = "获取测评题库", httpMethod = "GET", notes = "获取测评题库")
    @RequestMapping("/get_cptk_list")
    public Result<List<ZpglCptk>> getCptkList(){
        List<ZpglCptk> zpglCptks = ZpglCptk.builder().build()
                .selectList(new QueryWrapper<ZpglCptk>().lambda().orderByAsc(ZpglCptk::getSort));
        return ResultUtil.data(zpglCptks);
    }

    @ApiOperation(value = "提交测评", httpMethod = "POST", notes = "提交测评")
    @RequestMapping("/add_evaluation")
    public Result<Object> addEvaluation(@RequestBody ZpglDtk zpglDtk){
        ZpglDtk dtk = zpglDtk.selectOne(new QueryWrapper<ZpglDtk>()
                .lambda().eq(ZpglDtk::getZpglRcxxId, zpglDtk.getZpglRcxxId()));
        if (dtk!=null){
            return ResultUtil.error("你已提交测评！");
        }
        try {
            zpglDtk.insert();
        } catch (Exception e) {
            e.printStackTrace();
            return ResultUtil.error();
        }
        return ResultUtil.success();
    }

}
