package cn.timer.api.dto.baidu;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 简历相关请求参数，每次一份简历
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2022/3/29
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BaiduTicResumeDto implements Serializable {
    /**
     * 简历文档名称，文件大小不超过10M
     */
    private String filename;
    /**
     * 简历文档类型，目前支持pdf、doc、docx、wps、txt、jpg、jpeg、png、bmp、tif格式
     */
    private String filetype;
    /**
     * 待解析文档内容，必须是二进制读取，base64编码
     */
    private String filedata;
    /**
     * 非必填
     * 需要保留的字段，每个元素表示需要保留的字段位置，
     * 具体格式参考返回参数中results参数部分，
     * 如' ["basic_infos.name", "education_infos[].school", "work_infos"] '；
     * 层级按半角圆点“.”分割，list类型用半角方括号“[]”表示。如果不填该参数，默认选择全部字段
     */
    private String fields;
}
