package cn.timer.api.dto.baidu;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 基本信息
 *
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2022/3/30
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BasicInfo implements Serializable {



    //  姓名：中文姓名
    private String name;
    //  性别：男/女
    private String gender;

    private String age; //  年龄：当前年龄，整数
    //  工作年限：当前工作年限，整数，多段工作年限会累加并向下取整
    private String cur_duration;
    private String highest_degree; //  学历：最高学历（包括在读），格式统一为博士/硕士/学士
    private String work_begin_year; //  开始工作年限：第一份工作的开始年份，四位数年份，如2013
    private String id_number; //  身份证号：中国居民身份证号码，纯数字
    //  生日：出生日期，格式化为 年-月，如2000-01，若只有年，则只显示年，如2000
    private String birth_date;
    //  民族：中国56个民族， 如 汉族，壮族
    private String nation;
    private String location; //  所在地：所在地城市或区域，如 深圳市，深圳市南山区
    //  详细地址：具体家庭居住地，如 深圳市南山区华联花园6栋2-224
    private String home_location;
    //  当前公司
    private String cur_company;
    private String cur_job; //  当前职位
    //  毕业学校：最高学历学校
    private String school;
    private String major; //  专业：最高学历对应的专业
    private String job_intention; //  求职意向
    private String cur_package; //  当前薪水：当前工资或当前工资范围，如10-20万人民币等，以简历为准
    private String desire_package; //  期望薪水：期望工资或期望工资范围，如20k-30k等，以简历为准
    private String industry; //  所属行业：最新工作的所属行业
    private String job_status; //  求职状态：在职/正在找工作(在职)/考虑好的职业机会(在职)/已离职/暂不考虑其他机会/应届生，输出为原文
    private String politic; //  政治面貌：党员/团员/群众，输出为原文
    private String marriage; //  婚姻状况：未婚/已婚，输出为原文
    private String birth_place; //  籍贯：籍贯地区，如 广东汕头，上海，江苏南通。以简历描述为准，输出为原文
    private String desire_loc; //  期望工作地区：期望工作城市或区域，多个地区则以英文逗号分隔，如 北京,上海,广州,深圳，输出为原文
    //  联系方式：国内11位手机号，格式化为纯数字
    private String phone_numbers;
    //  邮箱：合格邮箱地址
    private String email_address;
    private String landline; //  固定电话：国内8位座机号
    private String qq; //  QQ号：QQ号码
    //  微信号：微信账号
    private String wechat;
    private String skill_text;

}
