package cn.timer.api.dto.jxgl;

import java.util.Date;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;

import cn.timer.api.bean.jxgl.JxglPerformanceRating;
import cn.timer.api.config.exception.ValidationMsg;
import cn.timer.api.config.validation.ValidList;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BasicSettingDto {

	@ApiModelProperty(value="编号",example="10")
    private Integer id;
    
	@ApiModelProperty(value="企业id",example="10")
    private Integer orgCode;
    
	@NotNull(message = ValidationMsg.NOTNULL)
	@ApiModelProperty(value="最高分",example="100")
    private Integer maxScore;
    
	@ApiModelProperty(value="创建时间",example="2020-10-10 10:10:10")
    private Date createTime;
    
	@ApiModelProperty(value="更新时间",example="2020-10-10 10:10:10")
	private Date updateTime;
	
	@Valid
	@ApiModelProperty(value="绩效等级",example="1")
	private ValidList<JxglPerformanceRating> performanceRatings;
	
}
