package cn.timer.api.dto.resumesdk;


import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 简历相关请求参数，每次一份简历
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2022/4/22
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ResumeSdkDto implements Serializable {
    /**
     * 简历文档名称，文件大小不超过10M
     */
    private String file_name;
    /**
     * 必填字段	简历文件内容（以base64编码），其中：
     * 1）图片简历：经based64编码后大小建议不超过1M，最短边至少50px，最长边最大4096px，
     * 支持jpg/jpeg/png/bmp/tif/gif格式；
     * 2）非图片简历：经based64编码后大小不超过10M（注：阿里云接口是不超过8M）；
     */
    private String file_cont;
    /**
     * 可选字段	是否需要解析头像，0为不需要，1为需要，默认为0
     */
    private Integer need_avatar;
    /**
     * 可选字段	ocr（图片解析所用到的文字识别）类型，0为基础版，1为高级版，默认为0。
     * 其中高级版效果更佳，但是收费略有不同，具体请参考报价单；
     */
    private Integer ocr_type;
}
