package cn.timer.api.dto.template;

import lombok.Data;

import java.io.Serializable;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author longys
 * @date 2022/3/22 16:52
 */
@Data
public class TemplateData implements Serializable {
    // 参数名称
    private String name;
    // 参数值
    private String value;
    // 颜色
    private String color;

    public TemplateData(String name, String value, String color) {
        this.name = name;
        this.value = value;
        this.color = color;
    }

    public TemplateData(List<TemplateData> dateList){
        Map<String, Map<String,Object>> nameMap = new HashMap<>();
        for(TemplateData date : dateList){
            Map<String,Object> map = new HashMap<>();
            map.put("value",date.getValue());
            map.put("color",date.getColor());
            nameMap.put(date.getName(),map);
        }

    }
}
