package cn.timer.api.dto.yggl;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import javax.persistence.Id;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class PersonnelFormDto {
    /**
     * 
     */
    @Id
    @TableId
    private Long id;

    /**
     * 文件名称
     */
    @ApiModelProperty(value = "文件名称")
    private String fileName;

    /**
     * 文件地址
     */
    @ApiModelProperty(value = "文件地址")
    private String fileUrl;

    /**
     * 文件图标
     */
    @ApiModelProperty(value = "文件图标")
    private String fileIcon;

    /**
     * 类型 0：通知与证明，1：合同与协议，2：人事文档
     */
    @ApiModelProperty(value = "类型 0：通知与证明，1：合同与协议，2：人事文档")
    private Integer type;

    /**
     * 逻辑删除标记0.未删除 1.删除
     */
    @ApiModelProperty(value = "逻辑删除标记0.未删除 1.删除")
    private Integer deleteFlag;

    /**
     * 组织机构id
     */
    @ApiModelProperty(value = "组织机构id")
    private Integer orgCode;


    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}