package cn.timer.api.dto.zpgl;

import cn.timer.api.config.exception.ValidationMsg;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 导入候选人
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2022-3-31 10:05:49
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ImportCandidateDto implements Serializable{
	
	private static final long serialVersionUID = -1230023773946171911L;

	/**
	 * 职位信息Id
	 */
	@NotNull(message = ValidationMsg.NOTNULL)
	@ApiModelProperty(value = "职位信息Id")
	private Integer zpglZwxxId;

	/**
	 * 状态 1:待初筛 2:初筛通过 3:已安排面试 4:已面试 5:面试通过 6:拟录用 7:已发Offer 8:待入职 9已淘汰 10已入职
	 */
	@NotNull(message = ValidationMsg.NOTNULL)
	@ApiModelProperty(value = "状态 1:待初筛 2:初筛通过 3:已安排面试 4:已面试 5:面试通过 6:拟录用 7:已发Offer 8:待入职 9已淘汰 10已入职")
	private Integer status;

	/**
	 * 招聘渠道ID
	 */
	@ApiModelProperty(value = "招聘渠道ID")
	private Integer zpglZpqdId;

	/**
	 * 获取文件 文档类型，目前支持pdf,doc,docx,wps,txt,jpg,jpeg,png,bmp,tif格式
	 */
	@ApiModelProperty(value = "文档类型，目前支持pdf,doc,docx,wps,txt,jpg,jpeg,png,bmp,tif格式")
	private String suffix;
	/**
	 * 文件名
	 */
	@ApiModelProperty(value = "文件名")
	private String fileName;
	/**
	 * 文件路径
	 */
	@ApiModelProperty(value = "文件路径")
	private String filePath;




}
