package cn.timer.api.dto.zpgl;

import cn.timer.api.config.exception.ValidationMsg;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;


/**
 * 招聘管理面试流程记录
 * 
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2022-03-08 15:14:40
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ZpglMslcLogDto implements Serializable {
	private static final long serialVersionUID = 1L;
	/**
	 * 人才信息ID
	 */
	@NotNull(message = ValidationMsg.NOTNULL)
	@ApiModelProperty(value = "人才信息ID")
	private Integer zpglRcxxId;

	/**
	 * 类型,1状态变更,2面试,3Offer,4讨论,5其他
	 */
	@ApiModelProperty(value = "类型,1状态变更,2面试,3Offer,4讨论,5其他")
	private Integer zpglRcxxStatus;
	/**
	* 详细内容
	*/
	@NotBlank(message = ValidationMsg.NOTNULL)
	@ApiModelProperty(value = "详细内容")
	private String detail;

}
