package cn.timer.api.dto.zpgl;

import cn.timer.api.config.exception.Regular;
import cn.timer.api.config.exception.ValidationMsg;
import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.io.Serializable;
import java.util.Date;

/**
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2021-12-27 10:05:49
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ZpglRcxxEntryDto implements Serializable{
	
	private static final long serialVersionUID = -1230023773946171911L;

	/**
	 * 人才信息Id
	 */
	@NotNull(message = ValidationMsg.NOTNULL)
	@ApiModelProperty(value = "人才信息Id")
	private Integer id;

	/**
	 * 状态 1:待初筛 2:初筛通过 3:已安排面试 4:已面试 5:面试通过 6:拟录用 7:已发Offer 8:待入职 9已淘汰 10已入职
	 */
	@ApiModelProperty(value = "状态 1:待初筛 2:初筛通过 3:已安排面试 4:已面试 5:面试通过 6:拟录用 7:已发Offer 8:待入职 9已淘汰 10已入职")
	private Integer status;
	/**
	 * 入职日期
	 */
	@ApiModelProperty(value = "入职日期")
	private Date yjrzTime;
	/**
	 * 部门岗位ID
	 */
	@ApiModelProperty(value = "部门岗位ID")
	private Integer bmgwId;
	/**
	 * 员工工号
	 */
	@ApiModelProperty(value = "员工工号")
	private String customNum;

	@NotBlank(message = ValidationMsg.NOTBLANK)
	@ApiModelProperty(value="员工姓名",example="华仔")
	private String name;

	/*@NotBlank(message = ValidationMsg.NOTBLANK)
	@Pattern(regexp= Regular.PHONE,message = ValidationMsg.PATTERN)*/
	@ApiModelProperty(value="手机号",example="101")
	private String phone;

//	@NotNull(message = ValidationMsg.NOTNULL)
	@ApiModelProperty(value="证件类型 0:身份证;1:港澳居民来往内地通行证;2:台湾居民来往大陆通行证;3:外国护照;4:其他",example="0")
	private Integer zjType = 0;

//	@NotBlank(message = ValidationMsg.NOTBLANK)
	@ApiModelProperty(value="证件号码 ",example="证件号码")
	private String zjNum;

	@NotNull(message = ValidationMsg.NOTNULL)
	@ApiModelProperty(value="工作性质 0全职、1实习生、2兼职、3劳务派遣、4劳务、5派遣、6外包、7退休返聘",example="0")
	private Integer jobType;

	@JSONField(format="yyyy-MM-dd")
	@ApiModelProperty(value="入职日期 ",example="客户注册后的时间为入职时间")
	private Date rzTime;

	@NotNull(message = ValidationMsg.NOTNULL)
	@ApiModelProperty(value="试用期 0:无试用期;1:1个月;2:2个月;3:3个月;4:4个月;5:5个月;6:6个月（有试用期显示选项）",example="0")
	private Integer syq;

	@NotNull(message = ValidationMsg.NOTNULL)
	@ApiModelProperty(value="性别 0：男；1：女",example="0")
	private Integer sex;

	@NotNull(message = ValidationMsg.NOTNULL)
	@ApiModelProperty(value="合同公司id",example="0")
	private Integer zpglCompanyId;

	@ApiModelProperty(value="工作地点id",example="0")
	private Integer zpglGzddId;

	@ApiModelProperty(value="职级id",example="0")
	private Integer zpglZjId;

	@NotNull(message = ValidationMsg.NOTNULL)
	@ApiModelProperty(value="员工状态：1试用 2正式",example="0")
	private Integer beforeLeavingSts;

	@ApiModelProperty(value="考勤组id",example="0")
	private Integer attgroupid;


}
